[PATCH] Delete GCJ

Iain Sandoe iain_sandoe@mentor.com
Thu Oct 6 16:47:00 GMT 2016


> On 6 Oct 2016, at 17:42, Rainer Orth <ro@CeBiTec.Uni-Bielefeld.DE> wrote:
> 

>>> Here's what I tested. This requires a boehm-gc version 7.0 or later
>>> (having the
>>> header files in a gc subdirectory).  Depending on your available library, it
>>> only builds the GC enabled library for the default multilib library, and just
>>> skips over building the non-default multilib variants (assuming that most
>>> people
>>> won't have a libgc for that installed).  The --enable-objc-gc option is not
> 
> this assumption may not hold, though: in Solaris 11+ where libgc is
> bundled, both 32 and 64-bit libs are present, as always.  I'd also claim
> that for multilib testing in general, it's bad to test different
> multilibs with different configurations, so I'd rather have people doing
> multilib testing obtain all variants of libgc.

likewise on Darwin, people may well build “fat” libraries, and I also would encourage testing of m32/m64,
Iain



More information about the Java-patches mailing list